M.2 formerly known as the Next Generation Form Factor (NGFF) is a specification for internally mounted computer expansion cards and associated connectors. The M.2 replaces the mSATA standard.

Helios64 provides an M.2 interface (J2) to connect the following expansion cards:

* M.2 SATA SSD
* M.2 USB2.0 modules (e.g NPU extension).

![M.2 Location](/helios64/img/m2/m2.jpg)

!!! Important
		PCIe SSD is not supported.

## Form Factor and Keying

The M.2 connector (J2) is Key-B which is compatible with most of M.2 SATA SSD of Key-B or Key-M+B Key form factors.

![M.2 Keying](/helios64/img/m2/m2_keying.jpg)

The board provides mounting holes for 2260 and 2280 cards.

![M.2 Form Factor](/helios64/img/m2/m2_form_factor.jpg)

## Usage

The M.2 interface on Helios64 only supports SATA 3.0 and USB 2.0 buses.

The M.2 SATA bus is shared with SATA Port 1. Therefore if you install an M.2 SATA SSD card, SATA Port 1 (J3) will automatically get disabled. But if you use the M.2 interface for USB modules, the SATA Port 1 (J3) is still enabled and accessible by the system.

For more details refer to [SATA page](/helios64/sata/).

!!! Note
		The M.2 interface on Helios64 may NOT support USB modem (WWAN) because USB modem often requires external SIM Card connection and other signals.
